import common from '../../utils/util';
import main from '../../utils/main';

const app = getApp();

Page({
  data: {
    List: [],
  },
  onLoad: function (options) {
    var that = this;
    
    that.setData({
      Containnerheight: main.getWindowHeight(),
    });
    that.init();
  },
  init: function (e) {
    var that=this;
    main.getData("GetMiaoguoTipsList", function (data) {
      that.setData({
        List: data,
      });
      wx.setStorageSync("MiaoguoTipsList", data);
    });
  },
  goto: function (e) {
    var id = e.currentTarget.dataset.id;
    var idchild = e.currentTarget.dataset.idchild;

    wx.navigateTo({
      url: './help?id='+id+'&idchild='+idchild,
    });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.uploadImageUrl +"web/program_screenshot_tips.png",
    }
  },
})
